### Signal

# EBackend SourceRegistryServer::source-added

#### Declaration

    void
    source_added (
      ESourceRegistryServer* self,
      EBackendServerSideSource* source,
      gpointer user_data
    )

#### Description [src]

Emitted when an `EServerSideSource` is added to `server`.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`source`

  Type: `EServerSideSource`

  The newly-added `EServerSideSource`.

  The data is owned by the caller of the function.